#include "ti82.h"
#include "keys.inc"

   .org START_ADDR
   .db  "Trigonometry Formulas",0
  
start:
  call sub0
  ld   hl,text1
  call sub1
  ld   hl,text2
  call sub2
  ld   hl,text3
  call sub4
  ld   hl,text4
  call sub6
  ld   hl,text5
  call sub7
  ld   hl,text6
  ROM_CALL(D_ZT_STR)

geta:
  call GET_KEY
  cp   G_ENTER
  jp   z,label_y
  jr   geta
  
label_y:
  call sub0
  ld   hl,text7
  call sub1
  ld   hl,text8
  call sub2
  ld   hl,text9
  call sub3
  ld   hl,text10
  call sub4
  ld   hl,text11
  call sub5
  ld   hl,text12
  call sub6
  ld   hl,text13
  call sub7
  ld   hl,text14
  ROM_CALL(D_ZT_STR)
  
get1:
  call GET_KEY
  cp   G_YEDIT
  jp   z,label_a
  cp   G_WINDOW
  jp   z,label_b
  cp   G_ZOOM
  jp   z,label_c
  cp   G_TRACE
  jp   z,label_d
  cp   G_CLEAR
  jp   z,label_z
  jr   get1
  
label_a:
  call sub0
  ld   hl,text15
  call sub1
  ld   hl,text16
  call sub2
  ld   hl,text17
  call sub3
  ld   hl,text18
  call sub4
  ld   hl,text19
  call sub5
  ld   hl,text20
  call sub7
  ld   hl,text21
  ROM_CALL(D_ZT_STR)
  
get2:
  call GET_KEY
  cp   G_YEDIT
  jp   z,label_aa
  cp   G_WINDOW
  jp   z,label_y
  cp   G_CLEAR
  jp   z,label_z
  jr   get2

label_aa:
  call sub0
  ld   hl,text22
  call sub1
  ld   hl,text23
  call sub2
  ld   hl,text24
  call sub3
  ld   hl,text25
  call sub4
  ld   hl,text26
  call sub5
  ld   hl,text27
  call sub6
  ld   hl,text28
  call sub7
  ld   hl,text29
  ROM_CALL(D_ZT_STR)
  
get3:
  call GET_KEY
  cp   G_YEDIT
  jp   z,label_a
  cp   G_CLEAR
  jp   z,label_z
  jr   get3

label_b:
  call sub0
  ld   hl,text30
  call sub1
  ld   hl,text31
  call sub2
  ld   hl,text32
  call sub3
  ld   hl,text33
  call sub4
  ld   hl,text34
  call sub7
  ld   hl,text35
  ROM_CALL(D_ZT_STR)

get4:
  call GET_KEY
  cp   G_YEDIT
  jp   z,label_y
  cp   G_CLEAR
  jp   z,label_z
  jr   get4

label_c:
  call sub0
  ld   hl,text36
  call sub1
  ld   hl,text37
  call sub2
  ld   hl,text38
  call sub3
  ld   hl,text39
  call sub4
  ld   hl,text40
  call sub5
  ld   hl,text41
  call sub7
  ld   hl,text42
  ROM_CALL(D_ZT_STR)
  
get5:
  call GET_KEY
  cp   G_YEDIT
  jp   z,label_ca
  cp   G_WINDOW
  jp   z,label_y
  cp   G_CLEAR
  jp   z,label_z
  jr   get5

label_ca:
  call sub0
  ld   hl,text43
  call sub1
  ld   hl,text44
  call sub2
  ld   hl,text45
  call sub3
  ld   hl,text46
  call sub4
  ld   hl,text47
  call sub5
  ld   hl,text48
  call sub7
  ld   hl,text49
  ROM_CALL(D_ZT_STR)
  
get6:
  call GET_KEY
  cp   G_YEDIT
  jp   z,label_c
  cp   G_CLEAR
  jp   z,label_z
  jr   get6

label_d:
  call sub0
  ld   hl,text50
  call sub1
  ld   hl,text51
  call sub2
  ld   hl,text52
  call sub3
  ld   hl,text53
  call sub4
  ld   hl,text54
  call sub5
  ld   hl,text55
  call sub6
  ld   hl,text56
  call sub7
  ld   hl,text57
  ROM_CALL(D_ZT_STR)
  jp   get4

sub0:
  ROM_CALL(CLEARLCD)
  ld   de,$0000
  ld   (CURSOR_ROW),de
  ret

sub1:
  ROM_CALL(D_ZT_STR)
  ld   de,$0001
  ld   (CURSOR_ROW),de
  ret

sub2:
  ROM_CALL(D_ZT_STR)
  ld   de,$0002
  ld   (CURSOR_ROW),de
  ret

sub3:
  ROM_CALL(D_ZT_STR)
  ld   de,$0003
  ld   (CURSOR_ROW),de
  ret

sub4:
  ROM_CALL(D_ZT_STR)
  ld   de,$0004
  ld   (CURSOR_ROW),de
  ret

sub5:
  ROM_CALL(D_ZT_STR)
  ld   de,$0005
  ld   (CURSOR_ROW),de
  ret

sub6:
  ROM_CALL(D_ZT_STR)
  ld   de,$0006
  ld   (CURSOR_ROW),de
  ret

sub7:
  ROM_CALL(D_ZT_STR)
  ld   de,$0007
  ld   (CURSOR_ROW),de
  ret

label_z:
  ret

text1:
.db "TRIGONOMETRY",0
text2:
.db "FORMULAS",0
text3:
.db "V1.0",0
text4:
.db "(C) 2002",0
text5:
.db "WILSON NG",0
text6:
.db "WAESH@YAHOO",0
text7:
.db "1) IDENTITIES",0
text8:
.db "2) LAW OF SINES",0
text9:
.db " /COSINES",0
text10:
.db "3) ADDITION/",0
text11:
.db " SUBTRACTION",0
text12:
.db "4) DOUBLE/HALF",0
text13:
.db " ANGLE",0
text14:
.db " 1  2   3  4  5",0
text15:
.db "CSC X=1/SINX",0
text16:
.db "SEC X=1/COSX",0
text17:
.db "COT X=COSX/SINX",0
text18:
.db "SINX+COSX=1",0
text19:
.db "1+TANX=SECX",0
text20:
.db "1+COTX=CSCX",0
text21:
.db "MORE BACK",0
text22:
.db "SIN -X=-SINX",0
text23:
.db "COS -X=COSX",0
text24:
.db "COT X=COSX/SINX",0
text25:
.db "TAN -X=-TANX",0
text26:
.db "SIN /2-X=COSX",0
text27:
.db "COS /2-X=SINX",0
text28:
.db "TAN /2-X=COTX",0
text29:
.db "BACK",0
text30:
.db "SIN A/A=SIN B/B",0
text31:
.db " =SIN C/C ",0
text32:
.db "A=B+C-2BCCOSA",0
text33:
.db "B=A+C-2ACCOSB",0
text34:
.db "C=A+B-2ABCOSC",0
text35:
.db "BACK",0
text36:
.db "SIN X+Y=SINX*",0
text37:
.db "COSY+COSXSINY",0
text38:
.db "SIN X-Y=SINX*",0
text39:
.db "COSY-COSXSINY",0
text40:
.db "COS X+Y=COSX*",0
text41:
.db "COSY-SINXSINY",0
text42:
.db "MORE BACK",0
text43:
.db "COS X-Y=COSX*",0
text44:
.db "COSY+SINXSINY",0
text45:
.db "TAN X+Y=TANX+",0
text46:
.db "TANY/ 1-TANXTANY",0
text47:
.db "TAN X-Y=TANX-",0
text48:
.db "TANY/ 1+TANXTANY",0
text49:
.db "BACK",0
text50:
.db "SIN2X=2SINXCOSX",0
text51:
.db "COS2X=COSX-SINX",0
text52:
.db "=2COSX-1=1-2SINX",0
text53:
.db "TAN2X=2TANX",0
text54:
.db " / 1 - TAN",0
text55:
.db "SINX=1-COS2X/2",0
text56:
.db "COSX=1+COS2X/2",0
text57:
.db "BACK",0

.end

